## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMessageLoader Class Reference

`#include <XalanMessageLoader.hpp>`

Inheritance diagram for XalanMessageLoader

Collaboration diagram for XalanMessageLoader:

List of all members.

## Public Methods

- virtual ~XalanMessageLoader ()
- XalanMessageLoader ()

## Static Public Methods

- void createLoader ()
- void destroyLoader ()
- const XalanDOMString getMessage (XalanMessages::Codes msgToLoad , const char* repText1 , const char* repText2 = 0 , const char* repText3 = 0 , const char* repText4 = 0)
- const XalanDOMString getMessage (XalanMessages::Codes msgToLoad , const XalanDOMChar* repText1 , const XalanDOMChar* repText2 = 0 , const XalanDOMChar* repText3 = 0 , const XalanDOMChar* repText4 = 0)
- const XalanDOMString getMessage (XalanMessages::Codes msgToLoad)
- const XalanDOMString getMessage (XalanMessages::Codes msgToLoad , const XalanDOMString& repText1 )
- const XalanDOMString getMessage (XalanMessages::Codes msgToLoad , const XalanDOMString& repText1 , const XalanDOMString& repText2 )
- const XalanDOMString getMessage (XalanMessages::Codes msgToLoad , const XalanDOMString& repText1 , const XalanDOMString& repText2 , const XalanDOMString& repText3)

## Protected Methods

- virtual bool loadMsg ( XalanMessages::Codes msgToLoad , XalanDOMChar* toFill , unsigned int maxChars ) = 0

## Constructor & Destructor Documentation

virtual XalanMessageLoader::~XalanMessageLoader ( | )`[virtual]`

XalanMessageLoader::XalanMessageLoader ( | )`[]`

## Member Function Documentation

void XalanMessageLoader::createLoader ( | )`[static]`

void XalanMessageLoader::destroyLoader ( | )`[static]`

const XalanDOMString XalanMessageLoader::getMessage ( | XalanMessages::Codes msgToLoad,
| const XalanDOMString & repText1,
| const XalanDOMString & repText2,
| const XalanDOMString & repText3 )`[static]`

const XalanDOMString XalanMessageLoader::getMessage ( | XalanMessages::Codes msgToLoad,
| const XalanDOMString & repText1,
| const XalanDOMString & repText2 )`[static]`

const XalanDOMString XalanMessageLoader::getMessage ( | XalanMessages::Codes msgToLoad,
| const XalanDOMString & repText1 )`[static]`

const XalanDOMString XalanMessageLoader::getMessage ( | XalanMessages::Codes msgToLoad )`[static]`

const XalanDOMString XalanMessageLoader::getMessage ( | XalanMessages::Codes msgToLoad,
| const XalanDOMChar * repText1,
| const XalanDOMChar * repText2 = 0,
| const XalanDOMChar * repText3 = 0,
| const XalanDOMChar * repText4 = 0 )`[static]`

const XalanDOMString XalanMessageLoader::getMessage ( | XalanMessages::Codes msgToLoad,
| const char * repText1,
| const char * repText2 = 0,
| const char * repText3 = 0,
| const char * repText4 = 0 )`[static]`

virtual bool XalanMessageLoader::loadMsg ( | XalanMessages::Codes msgToLoad,
| XalanDOMChar * toFill,
| unsigned int maxChars )`[protected, pure virtual]`

Reimplemented in XalanInMemoryMessageLoader.

The documentation for this class was generated from the following file:

- XalanMessageLoader.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.